import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# entra m365group recyclebinitem remove

Permanently deletes a Microsoft 365 Group from the recycle bin in the current tenant

## Usage

```sh
m365 entra m365group recyclebinitem remove [options]
```

## Options

```md definition-list
`-i, --id [id]`
: The ID of the Microsoft 365 Group to remove. Specify either `id`, `displayName` or `mailNickname` but not multiple.

`-d, --displayName [displayName]`
: Display name for the Microsoft 365 Group to remove. Specify either `id`, `displayName` or `mailNickname` but not multiple.

`-m, --mailNickname [mailNickname]`
: Name of the group e-mail (part before the @). Specify either `id`, `displayName` or `mailNickname` but not multiple.

`-f, --force`
: Don't prompt for confirmation.
```

<Global />

## Permissions

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions         |
  |-----------------|---------------------|
  | Microsoft Graph | Group.ReadWrite.All |

  </TabItem>
</Tabs>

## Examples

Removes the Microsoft 365 Group with specific ID

```sh
m365 entra m365group recyclebinitem remove --id "00000000-0000-0000-0000-000000000000"
```

Removes the Microsoft 365 Group with specific name

```sh
m365 entra m365group recyclebinitem remove --displayName "My Group"
```

Remove the Microsoft 365 Group with specific mail nickname without confirmation

```sh
m365 entra m365group recyclebinitem remove --mailNickname "Mygroup" --force
```

## Response

The command won't return a response on success.
